Building
========

Configure as usual with:

cmake -DCMAKE_INSTALL_PREFIX=/usr/local .

and

make


Run
===

Then run with:

./calibrate_lens dsc_0040.jpg


The program will run an edge detector at different scales and
thresholds, writing the output files to output/

A few command line paramaters are:


Lens calibration tool

Version 0.1

Usage: calibrate_lens [options] image1 image2..

Options:

  -d <0|1>        Edge detector. 0 = Canny (default) 1 = Shen-Castan.
  -s <int>        Maximum dimension for re-sized image prior to processing. Default 800.
  -f <string>     Output file format. Default .JPG
  -p <path>       Output path. Default output/
  -h              Print usage.


